BlitzReels
BlitzReelsDocumentation
API Reference
POST
/projects/{projectId}/timeline/batch-transform

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer br_live_....

In: header

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/projects/string/timeline/batch-transform" \  -H "Content-Type: application/json" \  -d '{    "items": [      {        "timeline_item_id": "string"      }    ]  }'
{  "success": true,  "updated_count": 0,  "failed_count": 0,  "items": [    {      "timeline_item_id": "string",      "success": true,      "error": "string"    }  ],  "failed_items": [    {      "timeline_item_id": "string",      "error": "string",      "error_code": "validation_error",      "retryable": true,      "error_details": {        "property1": "string",        "property2": "string"      }    }  ],  "message": "string"}